Qore Programming Language 0.8.8

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
DateTimeNodeValueHelper Class Reference

manages calls to AbstractQoreNode::getDateTimeRepresentation() when a DateTimeNode value is required More...

`#include <DateTimeNode.h>`

## Public Member Functions
DLLLOCAL | DateTimeNodeValueHelper (const AbstractQoreNode *n)
| gets the DateTimeNode value and sets the temporary flag
DLLLOCAL | ~DateTimeNodeValueHelper ()
| dereferences the DateTimeNode value if necessary
DLLLOCAL DateTimeNode * | getReferencedValue ()
| returns a referenced value - the caller will own the reference More...

## Detailed Description

manages calls to AbstractQoreNode::getDateTimeRepresentation() when a DateTimeNode value is required

if a simple DateTime value is required instead, use DateTimeValueHelper

See Also
  DateTimeNodeHelper

## Member Function Documentation

DLLLOCAL DateTimeNode* DateTimeNodeValueHelper::getReferencedValue | ( |  | ) |
| inline

returns a referenced value - the caller will own the reference

The value is referenced if necessary (if it was a temporary value)

Returns
  the DateTimeNode value, where the caller will own the reference count

References AbstractQoreNode::ref().

The documentation for this class was generated from the following file:

- include/qore/DateTimeNode.h (6086)